<?php
/*
Plugin Name: Trend Charts by Treendly
Version: 0.1
Plugin URI: https://treendly.com/integrations/wordpress
Description: Display and embed beautiful interactive trend charts. Shortcode example: &#91;trends term="wordpress" region="US" view="5"&#93;
Author: Mike Rubini
Author URI: https://treendly.com
*/

function treendly_google_trends($atts)
{
    extract(shortcode_atts(
    [
        'term' => '',
        'region' => '',
        'view' => '',
    ], $atts ) );
    ob_start();
?>
<p align="center" style="width: 400px; height:500px">
    <iframe width="100%" height="100%" style="max-width: 400px; max-height: 500px; border:0;" scrolling="no" src="https://treendly.com/integrations/wordpress/embed?term=<?php echo $term; ?>&region=<?php echo $region; ?>&view=<?php echo $view; ?>"></iframe>
</p>
<?php
return ob_get_clean();
}
add_shortcode("trends","treendly_google_trends");

/* Menu Links */
function treendly_trends_action_links($links, $file)
{
    static $this_plugin;
    if (!$this_plugin)
    {
        $this_plugin = plugin_basename(__FILE__);
    }
    if ($file == $this_plugin)
    {
        $links[] = '<a href="https://treendly.com/" target="_blank">Treendly</a>';
        $links[] = '<a href="https://treendly.com/integrations/wordpress" target="_blank">Support</a>';
    }
    return $links;
}
add_filter('plugin_action_links', 'treendly_trends_action_links', 10, 2);
